Splash = {}

function Splash:init()
end

function Splash:enter()
	img_ms = love.graphics.newImage("graphics/ms_logo.png")
	img_l2 = love.graphics.newImage("graphics/l2d_logo.png")
	t=1
end

function Splash:leave()
end

function Splash:keyreleased(key)
   if t < 7.4 then
		t=7.5
   elseif t < 13 then
        t=13
	end
end

function Splash:update(dt)
	t=t+(1 * dt)
	
	if t>0 and t<7.4 then
		show_ms = true
		show_l2 = false
	end
	if t>7.3 and t<13 then
	
		show_ms = false
		show_l2 = true
	end
	if t>12.9 then
		Gamestate.switch(Game)
	end
end

function Splash:draw()
	if show_ms then
		love.graphics.draw(img_ms,((love.window.getWidth() / 2) - (img_ms:getWidth() / 2)),((love.window.getHeight() / 2) - (img_ms:getHeight() / 2)))
	end
	if show_l2 then
		love.graphics.draw(img_l2,((love.window.getWidth() / 2) - (img_l2:getWidth() / 2)),((love.window.getHeight() / 2) - (img_l2:getHeight() / 2)))
	end
end

return Splash

